Notification - email

This endpoint will receive events we recommend being delivered via email - that includes magic-link email needed for clients using our authentication service.

Body Params

Details of the email notification

uuid
required

Idempotency key (UUID) to uniquely represent this request and prevent duplication.

string
required
length ≥ 1

Email address to send the email notification to.

string
enum
required

The type of the notification event - one of:

  • CARD_ADDED_TO_WALLET: Card has been added to a device wallet
  • CARD_PIN_CHANGE: Card PIN has been changed
  • CUSTOMER_DETAILS_CHANGE: Customer's personal details have been updated
  • MAGIC_LINK: Magic link email has been requested
  • REMINDER: A reminder
Allowed:
customerDetails
object

Details of the customer - recipient of the email.

uuid | null

Unique identifier (UUID) of the Card associated with the event

cardAdditionToWalletEvent
object

Details of the Card Status Change event; provided when the type is CARD_ADDED_TO_WALLET.

cardPinChangeEvent
object

Details of the Card PIN Change event; provided when the type is CARD_PIN_CHANGE.

customerDetailsChangeEvent
object

Details of the Customer Details Change event; provided when the type is CUSTOMER_DETAILS_CHANGE.

magicLinkEvent
object

Details of the Magic Link Email Request event; provided when the type is MAGIC_LINK.

string
enum

Type of the Reminder event; provided when the type is REMINDER. Possible values:

  • REMINDER_TO_COMPLETE_FUNDING
  • REMINDER_TO_PROVISION_DIGITAL_CARD
  • REMINDER_TO_TRANSACT
  • APPLE_PAY_REMINDER_24_HRS
  • APPLE_PAY_REMINDER_7_DAYS
  • APPLE_PAY_SPEND_REMINDER_7_DAYS
  • APPLE_PAY_SPEND_REMINDER_14_DAYS
  • GOOGLE_PAY_24_HRS_PARTIAL_PROVISIONING
  • GOOGLE_PAY_7_DAYS_PARTIAL_PROVISIONING
  • GOOGLE_PAY_7_DAYS_SPEND_REMINDER
  • GOOGLE_PAY_14_DAYS_SPEND_REMINDER
Responses
200

Success

403

Unauthorised

422

Invalid Input

500

Internal error

Language
LoadingLoading…